---
title: "Pambda.fr: Manuel d'utilisation du blog"
author: 'Joseph Lucas'
date: '2022-04-01'
description: "Manuel d'utilisation du blog, comment écrire des fichiers pour publier de nouveaux articles"
keywords: 'Pambda, Pambda.fr, Manuel, Blog, SSG, générateur de site statique, CMS, Système de gestion de contenu, Documentation, Guide, Tutoriel, Comment Faire, Editeur de texte, Logiciel de traitement de texte, docx, odt, markdown, LibreOffice, Microsoft Word, OpenOffice, Pandoc, Workflow'
include-before: |
  <h1>Manuel d'utilisation du blog</h1>
toc: true
toc-title: 'Table des Matières'
toc-depth: 2
header-includes: |
    <meta property="og:title" content="Pambda.fr: Manuel d'utilisation du blog" />
    <meta property="og:type" content="website" />
    <meta property="og:description" content="Manuel d'utilisation du blog, comment écrire des fichiers our publier de nouveaux articles" />
    <meta property="og:url" content="https://pambda.fr/Documentation/manual.html" />
    <meta property="og:image" content="https://pambda.fr/Documentation/manual/typewriter.png" />
    <meta property="og:image:type" content="image/png" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="630" />
    <meta property="og:image:alt" content="Pambda" />
    <meta property="og:locale" content="en_US" />
    <meta name="twitter:card" content="summary\_large\_image">
    <meta name="twitter:image" content="https://pambda.fr/Documentation/manual/typewriter.png">
    <style>
      li li > p:first-child {margin-top: 0 !important;}
      li li > p:last-child {margin-bottom: 0 !important;}
      /* TODO : https://tympanus.net/codrops/2012/11/02/heading-set-styling-with-css/ */
      /* Inspired by https://css-tricks.com/3-styles-for-big-headers/ */
      h1 {
        font-family: 'Linux Libertine','Georgia','Times',serif;
        font-size: 2.5em;
        letter-spacing: -1px;
      }
      /* Inspired by wikipedia article css*/
      h2 {
        font-size: 1.8em;
        padding: 0;
        font-family: 'Linux Libertine','Georgia','Times',serif;
        line-height: 1.3;
        border-bottom-color: rgb(91, 90, 86);
        border-bottom: 1px solid currentColor;
      }
      h3 {
        margin-top: 1em;
        font-size: 1.5em;
        margin-bottom: 0.25em;
        padding: 0;
        font-family: 'Linux Libertine','Georgia','Times',serif;
        line-height: 1.3;
        border-bottom: 1px solid currentColor;
      }
      h4 {
        border-bottom: dotted 1px #aaa;
        font-weight: bold;
        font-size: 1.2em;
        margin-top: 0.3em;
        margin-bottom: 0;
        padding-bottom: 0;
        line-height: 1.6;
        padding-top: 0.5em;
      }
      h5 {
        font-weight: bold;
        margin-top: 0.3em;
        margin-bottom: 0;
        padding-bottom: 0;
        line-height: 1.6;
        margin-bottom: 0.3em;
        padding-top: 0.5em;
      }
      h6 {
       margin-top: 0.3em;
       margin-bottom: 0;
       padding-bottom: 0;
       line-height: 1.6;
       padding-top: 0.5em;
      }
      [id='Table des Matières'] {
        display: none;
      }
    </style>
...

## Le dossier partagé

![Remplissage d'un dossier](manual/filing_folder.svg "Le dossier partagé"){width=50%}

L'interface de notre service est un dossier partagé (aussi appelé "dossier d'input"). 
Vous êtes le seul à pouvoir éditer ce dossier. 
Notre service ne fera que lire vos informations dedans. 
C'est le dossier dans lequel vous écrirez vos fichiers, la configuration du thème de votre site, etc.

> Nous effectuons l'installation du dossier partagé sur votre ordinateur avec vous. 
> S'il arrivait que vous deviez (ré)installer le dossier partagé vous-même, la démarche est détaillée [ici](./manual_shared_folder.md#comment-monter-le-dossier-partag%C3%A9).

Ce manuel explique comment utiliser ce dossier pour éditer votre blog à partir de votre ordinateur.

## Comment éditer votre blog

![Des étapes à suivre sur un ordinateur](manual/workflow.svg "Workflow"){width="50%"}

Pour ajouter un article à votre blog, il suffit d'ajouter un document (docx, odt, markdown, ...) dans le dossier "Blog" du dossier partagé.
Le nom des fichiers déterminera l'URL de la page web correspondante.

> Le dossier partagé contient des dossiers et des fichiers en dehors du dossier "Blog". 
> Ils vous permettent de contrôler d'autres éléments de votre site web. 
> Vous trouverez plus d'explications [ici](./manual_shared_folder.md#organisation-du-dossier-partag%C3%A9).

Nous vous invitons à suivre les étapes suivantes lorsque vous éditez votre blog :

1. Créez et éditez vos fichiers dans votre dossier partagé.
2. Une fois que des modifications sont enregistrées, notre service lance automatiquement une tentative de reconstruction de votre site web.
   Si vous ouvrez un navigateur internet à l'adresse de votre site (p. ex. <a rel="nofollow">https://votresite.com</a>), vous devriez voir les changements correspondants.

## Exemples de fichiers

![Choisir un fichier dans un dossier](manual/choose-file-format.svg "Choisissez le format qui vous convient en regardant les exemples"){width="30%"}

Pour chaque format de fichiers, la table suivante donne la correspondance entre un fichier d'exemple (colonne de gauche) et la page web générée à partir de ce fichier (colonne de droite).
Les pages web montrent les fonctionnalités supportées pour le format correspondant.

fichier d'exemple                                                                             page internet correspondante
-----------------------------------------------------------------------------------------     ------------------------------------
[fichier markdown](https://input.pambda.fr/Documentation/markdown-formatting.md)              [page web générée à partir du fichier markdown](markdown-formatting.html)
[fichier docx](https://input.pambda.fr/Documentation/docx-formatting.docx)                    [page web générée à partir du fichier docx](docx-formatting.html)
[fichier odt](https://input.pambda.fr/Documentation/odt-formatting.odt)                       [page web générée à partir du fichier odt](odt-formatting.html)

Dans les fichiers eux-même, vous trouverez plus de détails sur comment les mettre en forme.

> Cliquez sur un lien dans la colonne de gauche pour télécharger le fichier source.
> Cliquez sur le lien de la colonne de droite pour voir la page internet correspondante.

## Quelques conventions

Vous pouvez facilement ajouter des médias dans une page en créant un dossier à côté du document correspondant — et en le nommant avec le même nom ; mis à part l'extension.
Ce dossier sera traité comme un dossier d'appoint, ce qui est très pratique.
Mais cette fonctionnalité peut générer des conflits de noms de dossiers.
Pour les éviter, voici quelques conventions :

- Nommez les documents destinés à devenir des pages web avec des minuscules.
- Un dossier, qui accueille les médias d'une page, doit être placé à côté du document correspondant et nommé avec le même nom ; mis à part l'extension.
- Nommez les dossiers qui contiennent des documents, en commençant leurs noms par une majuscule.

En plus de clarifier le rôle de chaque dossier, ces conventions assurent qu'il n'y ait pas de conflits entre les dossiers d'appoint et les dossiers qui contiennent des documents.

## En cas de difficultés

Quand votre modification n'est pas visible, voici quoi faire :

1. Il se peut que la [cache](https://fr.wikipedia.org/wiki/Cache_web) de votre navigateur internet voile la nouvelle version de votre page web.
   Dans ce cas, un rafraîchissement total de la page (Ctr+F5) pourra alors afficher la nouvelle version.
2. Vous pouvez vérifier la bonne réception de vos données en regardant les dates de dernières modifications à l'adresse <a rel="nofollow">https://input.votresite.com/</a>.

    > Les dates de dernières modifications affichées ont actuellement un décalage de d'une ou deux heures (selon le décalage horaire d'été ou d'hiver français).

3. Dès que de nouvelles données sont détectées, une tentative de reconstruction est effectuée.
   Vous pouvez vérifier que la reconstruction s'est bien passée grâce à son log, visible à l'adresse <a rel="nofollow">https://votresite.com/reconstruction.log</a>.
   - Si vous ne pouvez pas lire le log, il y a une erreur de réseau, ou alors une erreur sur nos serveurs.
   - La date de reconstruction est censée succéder directement au moment de votre édition.
     Si ça n'est pas le cas, cela signifie que notre service est défectueux.
   - Si la date correspond, nous vous invitons à suivre les instructions en haut du log de reconstruction.
4. Lisez la [FAQ](./faq.html) pour avoir des conseils sur comment résoudre diverses difficultés.

![Enquêter dans une fenêtre de logiciel](manual/investigate.svg "Enquêtez quand quelque chose ne va pas"){width="50%"}

## Service après-vente

Si après cette petite enquête, vous ne voyez pas d'où vient le problème, veuillez nous contacter.
Voici ce que nous ferons

1. S'il y a une erreur dans le programme du serveur, nous la corrigerons.
2. S'il y a une modification à faire dans votre dossier, nous ferons une copie de votre dossier partagé et nous la modifierons de notre côté.
   Une fois la correction faite, nous vous enverrons un mail avec un lien pour télécharger le dossier édité, par exemple <a el="nofollow">https://backup.edited.votresite.com/pambda-input-edited.zip</a>.
   Nous vous enverrons aussi un lien pour que vous puissiez voir ce à quoi ressemble votre site à partir de nos éditions <a el="nofollow">https://edited.votresite.com</a>.

> Pour vous faciliter la tâche, nous nous suggérons d'installer [Meld](http://meldmerge.org/). Ce logiciel vous aidera à comparer le dossier édité avec votre dossier.

![Visio-conférence](manual/dialog.svg "Contactez-nous si vous n'avez pas trouvé le problème"){width="50%"}

## Autres ressources

[Tutoriel sur les liens relatifs](http://www.tutopla.net/chemins-relatif-et-absolu/) pour la création de liens entre les pages de votre site.

