---
title: "Pambda.fr: Manuel d'utilisation du dossier partagé"
author: 'Joseph Lucas'
date: '2022-04-01'
description: "Manuel d'utilisation du dossier partagé et montage du dossier avec sshfs"
keywords: 'Pambda, Pambda.fr, Manuel, Documentation, Guide, Tutoriel, Comment Faire, SSH, SSHFS'
include-before: |
  <h1>Manuel d'utilisation du dossier partagé</h1>
toc: true
toc-title: 'Table des Matières'
toc-depth: 3
header-includes: |
    <meta property="og:title" content="Pambda.fr: Manuel d'utilisation du dossier partagé" />
    <meta property="og:type" content="website" />
    <meta property="og:description" content="Manuel d'utilisation du dossier partagé et montage du dossier avec sshfs" />
    <meta property="og:url" content="https://pambda.fr/Documentation/manual_shared_folder.html" />
    <meta property="og:image" content="https://pambda.fr/Documentation/manual_shared_folder/formats.svg" />
    <meta property="og:image:type" content="image/png" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="630" />
    <meta property="og:image:alt" content="Pambda" />
    <meta property="og:locale" content="en_US" />
    <meta name="twitter:card" content="summary\_large\_image">
    <meta name="twitter:image" content="https://pambda.fr/Documentation/manual_shared_folder/formats.svg">
    <style>
      li li > p:first-child {margin-top: 0 !important;}
      li li > p:last-child {margin-bottom: 0 !important;}
      /* TODO : https://tympanus.net/codrops/2012/11/02/heading-set-styling-with-css/ */
      /* Inspired by https://css-tricks.com/3-styles-for-big-headers/ */
      h1 {
        font-family: 'Linux Libertine','Georgia','Times',serif;
        font-size: 2.5em;
        letter-spacing: -1px;
      }
      /* Inspired by wikipedia article css*/
      h2 {
        font-size: 1.8em;
        padding: 0;
        font-family: 'Linux Libertine','Georgia','Times',serif;
        line-height: 1.3;
        border-bottom-color: rgb(91, 90, 86);
        border-bottom: 1px solid currentColor;
      }
      h3 {
        margin-top: 1em;
        font-size: 1.5em;
        margin-bottom: 0.25em;
        padding: 0;
        font-family: 'Linux Libertine','Georgia','Times',serif;
        line-height: 1.3;
        border-bottom: 1px solid currentColor;
      }
      h4 {
        border-bottom: dotted 1px #aaa;
        font-weight: bold;
        font-size: 1.2em;
        margin-top: 0.3em;
        margin-bottom: 0;
        padding-bottom: 0;
        line-height: 1.6;
        padding-top: 0.5em;
      }
      h5 {
        font-weight: bold;
        margin-top: 0.3em;
        margin-bottom: 0;
        padding-bottom: 0;
        line-height: 1.6;
        margin-bottom: 0.3em;
        padding-top: 0.5em;
      }
      h6 {
       margin-top: 0.3em;
       margin-bottom: 0;
       padding-bottom: 0;
       line-height: 1.6;
       padding-top: 0.5em;
      }
      [id='Table des Matières'] {
        display: none;
      }
    </style>
...

## 1. Comment monter le dossier partagé

![Un dossier rempli](manual_shared_folder/formats.svg "Organisation du dossier partagé"){width=50%}

Le dossier partagé peut être monté sur votre ordinateur à partir d'un des protocoles suivants :

- [SMB / CIFS / Samba](https://fr.wikipedia.org/wiki/Server_Message_Block)
- SFTP, une extension de [SSH](https://fr.wikipedia.org/wiki/Secure_Shell)

### Monter avec SMB / CIFS / Samba

#### Sur Windows

1. Ouvrir l'Explorateur de Fichiers
2. Dans le panneau de gauche, clic-droit sur "Ce PC"
3. Dans le menu contextuel, sélectionner "Ajouter un emplacement réseau"
4. Cliquer sur Suivant dans la fenêtre de bienvenue.
5. Cliquer sur la seule option, "Choisissez un emplacement réseau personnalisé"
6. Entrer l'adresse du dossier partagé distant sous la forme `//SERVER/SHARE`

> Où :
>
> - SERVER est le nom de domaine de votre serveur (e.g. monsiteweb.com) ou alors l'adresse IP de votre serveur.
> - SHARE est le nom du dossier SMB distant à monter. Il vous sera communiqué par votre administrateur.

7. Choisir un nom pour l'emplacement réseau, qui sera affiché dans l'explorateur de fichiers. Un nom est suggéré.
8. Cliquer sur Finir et vous devriez être capable d'utiliser le dossier partagé.

[Quelques explications graphiques en anglais](https://www.techrepublic.com/article/how-to-connect-to-linux-samba-shares-from-windows-10/)

### Monter avec SSH / SFTP

Cette section est en trois parties :

- Nous présentons vos identifiants ssh et vos droits sur le serveur.
- Nous expliquons comment vous connecter à votre serveur avec un client ssh.
- Puis, nous vous expliquons comment monter le dossier partagé.

#### Identifiants ssh et vos droits sur le serveur

Vous pouvez accéder à votre serveur, avec le protocole ssh, grâce aux informations suivantes

clef                                                  valeur d'exemple
-------------------------                             ----------------
login (nom de l'utilisateur sur le serveur)           client
host (nom de domaine du serveur)                      votresiteweb.com
mot de passe                                          VOTREMOTDEPASSE
point de montage distant (un dossier sur le serveur)  /pambda

Votre administrateur vous communiquera toutes ces valeurs.

Vos droits sur le serveur

dossier                     permission
--------                    -------------
votresiteweb-input          lecture/écriture
votresiteweb-input-edited   lecture

#### Se connecter via ssh

##### Le client ssh sur Windows

Vous devriez avoir un client ssh par défaut.
Si ça n'est pas le cas : `Démarrer > Paramètres > Applications > applications facultatives > Ajouter une app > client OpenSSH`

##### Le client ssh sur Linux et MacOS

Un client ssh devrait être présent par défaut, sinon installez le client openssh.

##### Utiliser le client ssh

1. Ouvrir un terminal : p. ex., sur windows, `Démarrer > Cmd`.
2. Exécutez la commande `ssh client@votresiteweb.com`
3. La première fois que vous vous connectez, il vous sera posé une question (oui/non).
   Tapez `oui` pour continuer la connexion et ajouter `votresiteweb.com` à la liste des hôtes connus.
4. Quand il vous sera demandé, entrez votre mot de passe ssh.
5. L'invite de commande (le début de la ligne) devrait changer et vous devriez voir quelque chose comme `client@machine:~`.
   Cela signifie que vous êtes bien connecté et logué sur le serveur !
6. Sur le serveur, vérifiez vos permissions en exécutant la commande `ls -l /pambda`.

Vous devriez voir quelque chose comme

```bash
drwxrwxr-x  8 admin admin        4096 Dec 20 16:52  votresiteweb-input-edited
drwxrwxr-x  8 client client      4096 Dec 20 16:52  votresiteweb-input-prod
drwxrwxr-x  8 pambda pambda      4096 Dec 20 16:52  votresiteweb-output
```

Cela signifie que votre utilisateur sur le serveur a les bons droits sur les dossiers.

7. Déconnectez-vous du serveur en fermant la fenêtre qui contient la ligne de commande.

#### Monter le dossier partagé comme un dossier local

##### Sur Windows

###### Installez l'utilitaire SSHFS-Win

Téléchargez et installez les logiciels suivants.
Pour chacun, téléchargez et exécutez les fichiers `*.exe` ou `*.msi` qui conviennent à votre système d'exploitation.

1. [WinFsp](https://github.com/billziss-gh/winfsp/releases/latest) : permet la création d'un système de fichiers dans l'espace utilisateur. (L'équivalent de FUSE, sur Linux, mais pour Windows)
2. [SSHFS-Win](https://github.com/billziss-gh/sshfs-win/releases) : permet de monter un système de fichiers distant en utilisant le protocole SFTP. (équivalent de SSHFS sur Linux)
3. [SSHFS-Win-Manager](https://github.com/evsar3/sshfs-win-manager) : une interface graphique bien pratique pour gérer SSHFS-Win.

###### Monter le dossier

1. Lancez SSHFS-Win-Manager
2. Ajoutez la connexion et remplissez les champs de texte avec vos identifiants ssh. (Ici nous prenons les valeurs d'exemple précédentes.)
    1. Nous recommandons d'utiliser
       
       ```
       client@votresiteweb.com:22 /pambda
       ```
       
       comme valeur pour "NAME"
    2. "IP/HOST" sera `votresiteweb.com`
    3. "USER" sera `client`
    4. pour "AUTHENTICATION METHOD", choisissez "PASSWORD"
    5. "PASSWORD" sera `YOURPASSWORD`
    6. "PATH" sera `/pambda`
    7. Laissez la "DRIVE LETTER" suggérée par SSHFS-Win-Manager
    8. Sauvegardez
3. Cliquez sur l'icône de connexion
4. Cliquez sur l'icône de dossier

Vous devriez voir le contenu du dossier partagé.
Vous pouvez maintenant lire et modifier le contenu de ce dossier comme s'il s'agissait d'un dossier local !

##### Sur Linux

###### Sur la plupart des distributions

Ajoutez cette ligne au fichier `/etc/fstab`

```bash
client@votresiteweb.com:/pambda /votresiteweb.com/pambda fuse.sshfs allow_other,_netdev,noauto,x-systemd.automount,x-systemd.idle-timeout=0,comment=systemd.automount,transform_symlinks,follow_symlinks 0 2
```

puis

```bash
systemctl daemon-reload
systemctl restart votresiteweb.com-pambda.automount
```

(Selon le nom de votre montage dans fstab, votre service pourra avoir un nom différent.
Vous pouvez lister les services de automount avec la commande `systemctl list-unit-files --type automount`.)

Après ceci, le dossier partagé devrait être monté au chemin local `/votresiteweb.com/pambda`, sur votre système.

## 2. Organisation du dossier partagé

### Fichiers initiaux

Nous listons ici les fichiers nécessaires à la racine du dossier partagé.

`index.ext`
:   Ce fichier définit la page d'accueil de votre site internet.
    Quand quelqu'un va à l'URL <a rel="nofollow">https://yourwebsite.com</a>, il verra cette page web en premier.
    (Remplacez l'extension "ext" avec l'extension du format que vous avez choisi)

> Le nom de ce fichier, "index", est une ancienne convention en développement web.

`favicon.ico`
:   C'est une petite image qui est affichée dans les onglets des navigateurs internet.
    La plupart du temps, c'est le logo de votre site.

> Vous pouvez utiliser [un générateur de favicon en ligne](https://www.websiteplanet.com/webtools/favicon-generator/).

`.fonts.ttf`
:   Un fichier avec des fontes de caractères qui peut être utilisée sur votre site web.

> Vous pouvez prévisualiser et télécharger de nombreuses fontes sur le site [fontsquirrel.com](https://www.fontsquirrel.com).

`config-client.json`
:   Un fichier de configuration au format [json](https://fr.wikipedia.org/wiki/JavaScript_Object_Notation).
    La section ["Configuration du thème"](manual_shared_folder.html#configuration-du-th%C3%A8me) explique ce fichier plus en détail.

`.COMPONENT.ext`
:   Selon le thème que vous avez choisi dans le fichier de configuration, vous aurez besoin de définir les différents composants du thème.

> À la racine du dossier partagé, les fichiers et dossiers, qui définissent le thème et les composants, commencent par des points.

Quelques exemples de composants :

- `.header.ext` (habituellement `.header.html`) définit l'en-tête (au-dessus de la barre de navigation)
- `.navbar.ext` définit la barre de navigation (sous l'en-tête).
    C'est grosso modo une liste à puces qui définit les liens de la barre de navigation.
- `.footer.ext` définit le pied de page, Tout en bas de votre site web.
- `.sidebar.ext` sera requis si vous choisissez le thème "sidebar" (barre latérale). 
    Ce fichier définit le contenu de la barre latérale : un panneau sur la gauche de votre page, qui sera affiché sur toutes les pages web.

### Fichiers des composants

Les composants de votre site internet comme la barre de navigation, le pied de page, la barre latérale (s'il y en a une), etc. sont définis à partir de vos fichiers également.

fichier d'exemple                                                                             composant correspondant
-----------------------------------------------------------------------------------------     ------------------------------------
[fichier html pour l'en-tête](https://input.pambda.fr/.header.html)                           Cet en-tête, au-dessus de la barre de navigation
[fichier markdown pour la barre de navigation](https://input.pambda.fr/.navbar.md)            Cette barre de navigation, au-dessous de l'en-tête

### Configuration du thème

![Options de configuration](manual_shared_folder/options.svg "Options de configuration du thème"){width=50%}

Le fichier de configuration est principalement une liste de "clef": "valeur"

```json
{
    "theme": "default",
    "colorNavBar": "#060654",
    "colorNavBarHover": "#ec6f1d",
    "colorNavBarText": "#ffffff",
    "colorFooter": "#060654",
    "colorHamburgerMenu": "#ec6f1d",
    "gapBetweenPara": "1em",
    "navBarFontSize": "1.2rem",
    "fontSize": "1rem",
    "lineHeight": "1.5",
    "allHeadersInclude": "",
    "displayFigCaption": false,
    "fontFamily": "arial, sans-serif"
}
```

Les thèmes disponibles&nbsp;:

- `default` : pareil que pambda.com.
- `sidebar` : avec une barre latérale ("sidebar" en anglais), que vous définissez grâce au fichier de composant `.sidebar.ext`.
- `custom` : utilisez votre propre thème !

> Avec le thème custom, les autres options du fichier de configuration n'ont plus aucune utilité.

Les couleurs sont définies avec [une des syntaxes CSS](https://www.w3schools.com/colors/default.asp).

Les longueurs sont, elles aussi, définies avec [une des syntaxes CSS](https://developer.mozilla.org/en-US/docs/Web/CSS/length) et admettent ainsi différentes unités de mesure.

Certaines valeurs sont des booléens et admettent soit `true` (vrai) soit `false` (faux).

Toutes les clefs ont des valeurs par défaut. Si une valeur n'est pas précisée, la valeur par défaut sera utilisée.

### Le thème custom

Le thème custom utilise un dossier spécial à la racine du dossier partagé, nommé `.templates`. 
Dedans, l'utilisateur a un total contrôle sur les fichiers html, css et javascript qui servent d'ossature à son site.
Plus d'informations à ce sujet bientôt.
L'exemple de dossier partagé plus bas, utilise un thème custom.

### Exemple de dossier partagé

Inspirez-vous du [dossier de pambda.fr](https://backup.pambda.fr/pambda-fr-input-prod.zip){rel="nofollow"}.
