---
title: 'Pambda.fr: À propos de Pambda'
author: 'Joseph Lucas'
date: '2020-11-10'
description: "À propos de Pambda : d'où vient le mot et qui est derrière."
keywords: 'Pambda, Pambda.fr, À propos, Équipe'
header-includes: |
  <meta property="og:title" content="Pambda.fr: À propos de Pambda" />
  <meta property="og:type" content="website" />
  <meta property="og:description" content="À propos de Pambda : d'où vient le mot et qui est derrière." />
  <meta property="og:url" content="https://pambda.fr/about.html" />
  <!-- Linkedin does not accept webp as og image -->
  <meta name=image property="og:image" content="https://pambda.fr/about/panda_lambda.png" />
  <meta property="og:image:type" content="image/png" />
  <meta property="og:image:width" content="1200" />
  <meta property="og:image:height" content="630" />
  <meta property="og:image:alt" content="Pambda" />
  <meta property="og:locale" content="en_US" />
  <meta name="twitter:card" content="summary_large_image" />
  <meta name="twitter:image" content="https://pambda.fr/about/panda_lambda.png" />
  <link rel="stylesheet" href="css/all.min.css">
...

# À propos

![panda + lambda](about/panda_lambda.svg "Pambda est un croisement entre un animal paisible et une révolution dans le monde de l'informatique"){style="height:auto;max-width:20em;min-width:15em;margin:3em auto;"}

Le mot *pambda* est un croisement entre un animal paisible et une manière de programmer, symbolisée par la lettre grec *lambda*.

> Le _calcul lambda_ est un formalisme mathématique qui simplifie de nombreux développements informatiques, par le biais de ce qui s'appelle _la programmation fonctionnelle_.

```{=html}
<img
width=1400
height=1398
sizes="(max-width: 1400px) 100vw, 1400px"
srcset="
about/joseph_lucas/w_200.webp 200w,
about/joseph_lucas/w_752.webp 752w,
about/joseph_lucas/w_1068.webp 1068w,
about/joseph_lucas/w_1400.webp 1400w"
src="about/joseph_lucas/w_1400.webp"
alt="Portrait de Joseph Lucas"
title="Portrait de Joseph Lucas"
style="width: min(10em, 50%); height:auto; max-width:75vw;border-radius: 50%;margin-top:4em;">
```

::: {style="margin-top:1em;"}
Pambda a été créé par moi, Joseph Lucas.
Je suis un ingénieur français féru de programmation.
:::

```{=html}
<div style="width:max-content; margin:auto; margin-top:1em;display:flex;gap:1em;flex-wrap: wrap;width:100%;justify-content:center;">
<a href="https://www.linkedin.com/in/joseph-mex-lucas/" style="text-decoration:none"><i class="fab fa-linkedin"></i>&nbsp;joseph-mex-lucas</a><br />
<a href="https://github.com/JosephLucas" style="text-decoration:none"><i class="fab fa-github"></i>&nbsp;JosephLucas</a><br />
<a href="https://twitter.com/JosefLuca" style="text-decoration:none"><i class="fab fa-twitter"></i>&nbsp;JosefLuca</a><br />
<a href="https://www.reddit.com/user/jozephLucas" style="text-decoration:none"><i class="fab fa-reddit"></i>&nbsp;jozephLucas</a>
</div>
```

<div style="text-align:center;">
<a href=./resume_joseph_lucas.html style="font-size:1.5em;text-decoration:none">CV 📄</a>
</div>

::: {style="margin:3em auto 0 auto;width:75%;min-width:12em;"}
`<span style="font-size:1.1em">Services :</span>`{=html}

- [Créer un site web avec un blog](./website-and-blog-services.html)
- [Ajouter un blog à un site préexistant](./just-a-blog-services.html)
- [Créer un site web sans blog](./website-with-no-blog-services.html)
- [Autres services en informatique](./other-services.html)
:::
