---
title: "Pambda.fr: Création de blogs professionnels et de sites web, sur Lorient"
author: 'Joseph Lucas'
date: '2022-04-01'
description: "Création de blogs professionnels et de sites web : publiez un article dans votre blog en ajoutant un fichier dans un dossier de votre ordinateur. Basé à Lorient."
keywords: 'Pambda, Pambda.fr, blog professionnel, blog spécialisé, blog technique, création de site web, Lorient, infopreneur, site vitrine, site statique, headless, flat-files, blog, blogging, générateur de site statique, SSG, système de Gestion de Contenu, CMS, WordPress, logiciel de traitement de texte, formats de fichiers, markdown, docx, odt, nom de domaine, développement web, site léger, site rapide, blog facile à alimenter'
header-includes: |
    <meta property="og:title" content="Pambda.fr: Création de sites web avec un blog, sur Lorient" />
    <meta property="og:type" content="website" />
    <meta property="og:description" content="Création de sites vitrines statiques avec un blog facile à alimenter : ajoutez un article en ajoutant un fichier dans un dossier de votre ordinateur. Basé à Lorient." />
    <meta property="og:url" content="https://pambda.fr" />
    <!-- Linkedin does not accept webp as og image -->
    <meta name=image property="og:image" content="https://pambda.fr/index/logo-social-networks.png" />
    <meta property="og:image:type" content="image/png" />
    <meta property="og:image:width" content="1200" />
    <meta property="og:image:height" content="630" />
    <meta property="og:image:alt" content="Pambda" />
    <meta property="og:locale" content="fr_FR" />
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:image" content="https://pambda.fr/index/logo-social-networks.png" />
    <link rel="canonical" href="https://pambda.fr/" />
    <style>
      h1, h2, h3, h4, h5, h6 {scroll-margin-top: 0;}
      .call-to-action {
        background:#ec6f1d;
        border-radius:5px;
        width:max-content;
        padding:0.5rem;
        padding-left:1rem;
        padding-right:1rem;
        box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.2);
      }
      .call-to-action a {
        text-decoration:none;
        color:white;
      }
      .reassuring-grid {
        display:grid;
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        grid-gap: 10px;
        grid-auto-rows: minmax(100px, auto);
        margin-top:4rem;
        font-size:0.85em;
        grid-auto-rows: 1fr;
       }
      .reassuring-grid > div {
        border-width:1px;
        border-radius:5px;
        padding:5%;
        border-color:#060654;
        border-style:solid;
        box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.2);
        display: flex;
        flex-direction: column;
      }
      .reassuring-grid .icon {
        font-size:2rem;
        margin-right:0.5rem;
      }
      .reassuring-grid .title {
        font-size:1.25rem;
      }
      .shadowed {
        box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.2);
      }
      .column50 img {
        width:auto; /* FIXME overwite ".content img" selector */
        height:auto;
        max-width:80%;
        max-height:12rem;
      }

     .columns-left-right {
        display: flex;
        margin-top:7rem;
        margin-bottom:7rem;
      }
      .columns-right-left {
        display: flex;
        margin-top:7rem;
        margin-bottom:7rem;
      }
      .columns-right-left-reverse {
        display: flex;
        margin-top:7rem;
        margin-bottom:7rem;
      }
      /* For legacy reasons */
      .columns {
        display: flex;
        margin-top:7rem;
        margin-bottom:7rem;
      }
      
      .column50 {
        flex: 1 1 50%;
        align-self: center;
      }

      .reassuring-grid img {
        width:2em;
        height:2em;
        display:inline;
        vertical-align: top;
        margin-right: 0.5em;
      }

      @media screen and (max-width: 1024px) {
        .columns-left-right {
          flex-direction: column; 
          margin-top:3rem;
          margin-bottom:3rem;
        }
        .columns-right-left {
          flex-direction: column-reverse;
          margin-top:3rem;
          margin-bottom:3rem;
        }
        .columns-right-left-reverse {
          flex-direction: column;
          margin-top:3rem;
          margin-bottom:3rem;
        }
        .columns {
          flex-direction: column;
          margin-top:3rem;
          margin-bottom:3rem;
        }
      }
    </style>
...

<h1 style="font-size:2rem;margin-top:2em;margin-bottom:0;">Création de blogs professionnels et de sites web</h1>

:::::::::::::: {.columns-right-left-reverse id="hero" style="margin-top: 0em;"}
::::: {.column50}
Montrez que vous êtes un spécialiste en publiant des articles inspirants sur votre site.

 ```{=html}
<div class=call-to-action style="display:inline-block;margin-right:1rem;margin-bottom:1rem;">
<a href="contact.html">Contactez-nous</a>
</div>
```
:::::
::::: {.column50}
<img
width=800
height=500
src="index/professional-blog.svg"
alt="Un blog professionnel"
style="max-height:20em;min-width: min(100%, 15em);width:80%;max-width:50vw;"
title="Nous ajoutons des blogs à des sites préexistants et nous concevons des sites webs professionnels">
:::::
:::::::::::::: 

<!-- bande de réassurance -->
```{=html}
<div class="reassuring-grid">
  <div>
    <div style="margin-bottom:0.5em">
      <img width=60 height=60
      src="index/accept-check-good-mark-ok-tick.svg"
      alt="Validation"
      title="Validation">
      <span class=title>Pages de qualité</span>
    </div>
    <div style="margin:auto;text-align:center;">
      Conformes à la plupart des standards W3C et SEO.
    </div>
  </div>
  <div>
    <div style="margin-bottom:0.5em">
      <img width=280 height=280
      src="index/rocket-ship.svg"
      alt="Vaisseau spatial"
      title="Vaisseau spatial">
      <span class=title>Chargement rapide</span>
    </div>
    <div style="margin:auto;text-align:center;">
      Vos pages s'affichent en un rien de temps&nbsp;!
    </div>
  </div>
  <div>
    <div style="margin-bottom:0.5em">
      <!-- created by Erdem Kirmitci, CC Attibution license, https://dribbble.com/erdemkirmitci -->
      <img width=64 height=64
      src="index/shield-eye.svg"
      alt="Bouclier avec un oeil"
      title="Bouclier avec un oeil">
      <span class=title style="font-size:1.15rem">Conforme à la RGPD</span>
    </div>
    <div style="margin:auto;text-align:center;">
      Pas besoin d'une fenêtre de consentement pour <div style="display:inline-block">les cookies.&nbsp;<sup>*</sup></div>
    </div>
  </div>
  <div>
    <div style="margin-bottom:0.5em">
      <img width=36 height=36
      src="index/spiral-calendar.svg"
      alt="Calendrier à spirales"
      title="Calendrier à spirales">
      <span class=title>Période de tests</span>
    </div>
    <div style="margin:auto;text-align:center;">
      Testez notre service pendant deux semaines.
    </div>
  </div>
</div>
<div style="margin-top:1.25rem;font-size:0.75rem;margin-bottom:7rem;">
* Vous aurez votre propre instance de Matomo pour les analyses d'audience, avec une anonymisation de vos visiteurs. Pas besoin d'envoyer de données à Google Analytics.
</div>
```

<h2 style="margin-bottom:0;">Alimentez votre blog avec votre logiciel de traitement de texte</h2>

:::::::::::::: {.columns-right-left style="margin-top:0em"}
::::: {.column50}
<img
width=659
height=311
src="index/edit_your_website.svg"
alt="Éditer un dossier, éditer son site web"
title="Gérez votre blog avec votre logiciel de traitement de texte">
:::::
::: {.column50}
Ouvrez votre logiciel de traitement de texte, rédigez un document et sauvegardez-le dans un dossier partagé. 
Vous venez de publier un nouvel article sur votre blog !

:::{style="text-align:center"}
<span style="font-size:1.15em">___Gardez vos bonnes vieilles habitudes___</span>
:::
:::
::::::::::::::

:::::::::::::: {.columns-left-right style="margin-bottom:1em;"}
::: {.column50}
## Conçu pour des rédacteurs prolifiques
Égayez vos pages avec des vidéos, des images, des équations, des sons, des emojis, des calendriers, des cartes, etc.
:::
::: {.column50}
![Un document avec des médias](index/text_with_media.svg "Ajoutez des vidéos, des images et du son dans vos pages web"){.shadowed width=580 height=716 style="max-height:10em;"}
:::
::::::::::::::

::: {style="margin-bottom:7em;text-align:center;font-size:1.25em;"}
Faites-vous une idée avec [cette page d'exemple](./Documentation/markdown-formatting.md).
:::

<h2 style="margin-bottom:0;">Votre contenu à portée de main</h2>

:::::::::::::: {.columns-right-left style="margin-top:0em; margin-bottom:2em;"}
::: {.column50}
<img
width=482
height=402
src="index/typo-fr.svg"
alt="Une erreur d'orthographe"
title="Corrigez bien vite ces horribles coquilles !"
class="shadowed"
style="max-width:60%; border-radius:10px;">
:::
::: {.column50 }
:::{style="text-align:center"}
<span style="font-size:1.15em">
___Il y a une coquille sur votre site !?___
</span>
:::

Corrigez vite l'erreur en éditant le document correspondant dans votre dossier.
:::
::::::::::::::

`<i style="font-size:1em; line-height:1.25em; margin: 0 2.5em 7rem 0;">Que feriez-vous avec un autre CMS ? Probablement quelque chose comme : ouvrir votre navigateur internet, aller sur une page de login, vous loguer, cliquer, re-cliquer, ... chercher votre page, corriger l'erreur via un champs de texte de formulaire, valider et vous déconnecter.</i>`{=html}

::::::::::::::::::::::::::: {style="border-width:1px;border-radius:15px;padding:5%;border-color:#060654;border-style:solid;box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.2);margin-bottom:7rem;margin-top:7rem;"}
## Éditez vos articles à partir du format que vous préférez

:::::::::::::: {.columns-left-right style="margin-top:0;margin-bottom:0;"}
::: {.column50 style="align-self:unset"}
Pour le moment vous pouvez choisir entre&nbsp;:

- [markdown](https://fr.wikipedia.org/wiki/Markdown)
- [docx](https://fr.wikipedia.org/wiki/Office_Open_XML) (MS Word)
- et [odt](https://fr.wikipedia.org/wiki/OpenDocument) (LibreOffice, OpenOffice).
:::
::: {.column50}

::: {style="font-size:0.85em;"}
> Les outils informatiques que nous utilisons permettent d'ajouter de nombreux formats. Dites-nous si vous souhaitez en utiliser un autre.
:::
:::
::::::::::::::

Par exemple, ce fichier docx …

<img
width=1025
height=451
sizes="(max-width: 1025px) 100vw, 1025px"
srcset="
index/docx-wordpad/w_200.webp 200w,
index/docx-wordpad/w_653.webp 653w,
index/docx-wordpad/w_968.webp 968w,
index/docx-wordpad/w_1025.webp 1025w"
src="index/docx-wordpad/w_1025.webp"
alt="Capture d'écran du fichier docx"
title="Capture d'écran du fichier docx utilisé pour générer la page web"
style="width:75%; height:auto; border:2px solid black;max-width:75vw;">

… générera l'article de blog suivant

<img
width=1400
height=462
sizes="(max-width: 1400px) 100vw, 1400px"
srcset="
index/html/w_200.webp 200w,
index/html/w_1063.webp 1063w,
index/html/w_1400.webp 1400w"
src="index/html/w_1400.webp"
alt="Capture d'écran de la page web correspondante"
title="Capture d'écran de la page web correspondante"
style="width:100%; height:auto; border:2px solid black;">
:::::::::::::::::::::::::::

## Et WordPress ?

Les Générateurs de Sites Statiques (**SSG** en anglais), comme celui-ci, sont parfaitement adaptés pour gérer un blog.

:::::::::::::: {.columns-left-right style="margin-top:0.75em;"}
::: {.column50}
Selon vos objectifs, vous n'avez pas forcément besoin d'apprendre à utiliser WordPress ou un autre Système de Gestion de Contenu (**CMS** en anglais).

> Un site statique peut toujours être dynamisé avec des applications tierces : par exemple en ajoutant un bloc de commentaires avec [Disqus](https://fr.wikipedia.org/wiki/Disqus).
:::
::: {.column50}
<img
width=790
height=736
sizes="(max-width: 790px) 100vw, 790px"
srcset="
index/cms-ssg-logos/w_200.webp 200w,
index/cms-ssg-logos/w_726.webp 726w,
index/cms-ssg-logos/w_790.webp 790w"
src="index/cms-ssg-logos/w_790.webp"
alt="Logos des CMS et des SSG"
title="Qu'en est-il des autres CMS et SSG ?"
class="shadowed"
style="border-radius:10px;">
:::
::::::::::::::

:::::::::::::: {style="background-color:#a2c9eb; color:white;padding:45px;padding-left:60px;padding-right:60px;margin-bottom:5em;margin-top:7rem;text-shadow: 1px 1px 2px black;"}
## Intéressé ?

Et si vous preniez rendez-vous ?
J'ai très envie d'en savoir plus sur votre projet !

```{=html}
<div class=call-to-action style="display:inline-block;margin-right:1rem;margin-bottom:1rem;text-shadow:none;">
<a href="contact.html">Contactez-nous</a>
</div>
```
::::::::::::::

## Autres services

:::::::::::::: {.reassuring-grid style="margin-top:0;margin-bottom:2rem"}
::::: {}
```{=html}
<a href="https://pambda.fr/other-services.html" style="text-decoration:none;color:inherit;">
<div style="margin-bottom:0.5em">
  <img width=512 height=512
  src="index/tools-work.svg"
  alt="Outils"
  title="Conseil">
  <span class=title>Conseil en informatique</span>
</div>
Python, Nix/NixOS, Haskell, DevOps
</a>
```
:::::
::::: {}
```{=html}
<a href="https://pambda.fr/other-services.html" style="text-decoration:none;color:inherit;">
<div style="margin-bottom:0.5em">
  <img width=64 height=64
  src="index/family.svg"
  alt="Famille"
  title="Famille">
  <span class=title>Aide au contrôle parental</span>
</div>
Installation d'un routeur avec un excellent <div style="display:inline-block">contrôle parental</div>
</a>
```
:::::
::::::::::::::

